1. Space Related
Realsee Open API
  • Open API
    • Permission Interface
      • Get access_token
    • Metadata Related
      • Short Link Code Parsing
      • Combine VR Data
    • Viewing Service
      • Create Viewing Room (Open Platform Version)
      • Get Room Ticket
      • Get Voice Room Signature Interface
      • Get Viewing Room Details
    • Basic Data
      • VR Basic Data
      • Homepage Basic Data
      • Project List Data
      • VR point collection information
    • Edit Data
      • Space Related
        • Route guidance (old)
          GET
        • Hot data
          GET
        • Ruler data
          GET
        • Explain data
          GET
        • Point navigation data
          GET
        • Floor plan plug-in related data
          GET
        • Point video data
          GET
        • Custom ruler data
          GET
        • Label data
          GET
        • Route guidance
          GET
        • Get floor perspective
          GET
        • Get a list of surveillance videos
          GET
        • Hot data_V2
          GET
        • Hot data_V4
          GET
        • Get the entry door data
          GET
        • Entry door data interface
          GET
        • Get tag details
          GET
        • Point navigation data (new)
          GET
        • Tag list
          GET
        • Route planning
          GET
      • Business Related
        • VR introduction data
        • Extended information details (PDF&image file list)
        • Get PDF file preview link
        • Personal business card information
        • Get page component data
      • Configuration Related
        • VR configuration data
        • Source dimension introduction
        • Route guidance personalized configuration
        • Tag configuration
  • Schemas
    • Schemas
      • Work Data
      • Account description
      • Hot spot tag data
      • User details
      • Hotspot tag response data body
      • Account details
      • Manual ruler data
      • Point navigation data
      • Point video data
      • Label data
      • Route guidance data
      • Short-link coding details
      • Home screen data
      • Gateway response body
  1. Space Related

Ruler data

GET
https://app-gateway.realsee.ai/open/v3/ruler/search

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://app-gateway.realsee.ai/open/v3/ruler/search?resource_code=' \
--header 'Authorization: '

Responses

🟢200成功
application/json
Bodyapplication/json

Examples
{
    "request_id": "20240318155720-1027202105-a6b3246d97b58c988617c4ba953ed355",
    "trace_id": "50d795cb-ce39-4b99-80ad-d2c928788e89",
    "business_code": "0",
    "osi_request_id": "",
    "code": 0,
    "status": "success",
    "data": {
        "list": [
            {
                "custom_id": 37335139730,
                "id": 5495,
                "keywords": [],
                "polyline": {
                    "id": "b13fd0e9-f17e-4e15-bd30-412b5afd577d",
                    "lines": [
                        {
                            "id": "7f1ffd3a-2f56-4018-a085-bb621efbee96",
                            "points": [
                                {
                                    "id": "7cb04801-7326-46e9-e311-74c1eea9ee41",
                                    "position": [
                                        -1.4609418947791042,
                                        1.529958204486505,
                                        0.7003758061234876
                                    ]
                                },
                                {
                                    "id": "9bf4510d-5ee8-45d9-7aa7-8f9dac190392",
                                    "position": [
                                        -1.3858604415535343,
                                        -1.183106893452098,
                                        0.8202916609565805
                                    ]
                                }
                            ],
                            "text": "2.72m"
                        }
                    ],
                    "visiblePanoIndexes": [
                        1
                    ]
                }
            }
        ]
    },
    "cost": 13
}
Previous
Hot data
Next
Explain data
Built with